org.fife.ui.rtextarea

## Interface ToolTipSupplier

    public interface ToolTipSupplier

A `ToolTipSupplier` can create tool tip text for an `RTextArea` on its behalf. A text area will check its `ToolTipSupplier` for a tool tip before calling the super class's implementation of `JComponent.getToolTipText()`. This allows applications to intercept tool tip events and provide the text for a tool tip without subclassing `RTextArea`.

Version:
  1.0
Author:
  Robert Futrell

### Method Summary

Methods
`String` `getToolTipText(RTextArea textArea, MouseEvent e)` Returns the tool tip text to display for a given mouse event.

### Method Detail

#### getToolTipText

    String getToolTipText(RTextArea textArea,
                        MouseEvent e)

Returns the tool tip text to display for a given mouse event.

Parameters:
  `textArea` - The text area.
  `e` - The mouse event.
Returns:
  The tool tip, or `null` if none.